Bug 444006 - Annoying startup and rc1, rcS, rcS-sulogin message glitches, man page typos.
Annoying startup and rc1, rcS, rcS-sulogin message glitches, man page typos.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 11:06 EDT by archimerged Ark submedes
Modified: 2008-04-30 19:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-30 19:15:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Just the NetworkManager patch. (426 bytes, patch)
2008-04-25 00:09 EDT, archimerged Ark submedes
no flags Details | Diff

  None (edit)
Description archimerged Ark submedes 2008-04-24 11:06:31 EDT
+++ This bug was initially created as a clone of Bug #444005 +++

+++ This bug was initially created as a clone of Bug #444001 +++

Description of problem:

Annoying startup and rc1, rcS, rcS-sulogin message glitches, man page typos.

Version-Release number of selected component (if applicable):
event-compat-sysv-0.3.9-13.fc9.noarch
initscripts-8.70-1.i386
NetworkManager-0.7.0-0.9.2.svn3566.fc9.i386
upstart-0.3.9-17.fc9.i386

How reproducible: very

Steps to Reproduce:
1. boot to single user mode & exit see rcS killed message
2. boot normally see some [OK] on the second line, and rcS killed message
3. telinit 1 and see rc1 and rcS-sulogin killed messages
4. read events(5) and initctl(8) man pages see typos.

Actual results:
user gets annoyed and anxious

Expected results:
startup messages shouldn't look like errors

Additional info:

Files patched:

/usr/share/man/man5/events.5.gz
/usr/share/man/man8/initctl.8.gz
/etc/rc.d/init.d/NetworkManager
/etc/event.d/rc1
/etc/event.d/rcS
/etc/event.d/rcS-sulogin
/etc/rc.d/rc.sysinit
/etc/rc.d/init.d/single

They belong to packages:

event-compat-sysv-0.3.9-13.fc9.noarch
initscripts-8.70-1.i386
NetworkManager-0.7.0-0.9.2.svn3566.fc9.i386
upstart-0.3.9-17.fc9.i386

Patch will be attached.
Bug will be cloned and attached to those four components.

-- Additional comment from archimerged@gmail.com on 2008-04-24 11:03 EST --
Created an attachment (id=303642)
Patch which fixes those annoyances.

The change to /etc/rc.d/init.d/single makes it completely dispensable.
All it does is clear the screen.  /etc/event.d/rc1 now does the telinit S.
But you wouldn't want this version of init.d/single installed without the
matching event.d/rc1.
Comment 1 archimerged Ark submedes 2008-04-25 00:09:44 EDT
Created attachment 303730 [details]
Just the NetworkManager patch.

Sorry, should have made this bug completely separate, since
the fix is really unrelated to the others.

The patch is trivial, original is attached and pasted in here:

--- NetworkManager-orig 2008-04-16 15:54:06.000000000 -0400
+++ /etc/rc.d/init.d/NetworkManager	2008-04-24 02:23:06.000000000 -0400
@@ -46,8 +46,10 @@
 
 start()
 {
-	echo $"Setting network parameters... "
+	echo -n $"Setting network parameters... "
	sysctl -e -p /etc/sysctl.conf >/dev/null 2>&1
+	success
+	echo
 
	echo -n $"Starting NetworkManager daemon: "
	daemon --check $servicename $processname --pid-file=$pidfile
Comment 2 Dan Williams 2008-04-25 09:45:47 EDT
I've committed that patch to upstream NM already, will get into next NM snapshot
for rawhide and F9.

Note You need to log in before you can comment on or make changes to this bug.